import sqlite3 = require('sqlite3')
import { open, Database } from 'sqlite'

let db : Database | null = null;

export async function openDb () {
  if(db == null){
    db = await open({
      filename: './db/bot.db',
      driver: sqlite3.Database
    })
    await db.run('CREATE TABLE IF NOT EXISTS saved_data (msg_id INTEGER PRIMARY KEY,data TEXT NOT NULL);')
  }
  return db;
}
console.log('connected to db')
